Page MenuHomePhabricator

Have someone else test loading instructions
Closed, ResolvedPublic

Description

@Mholloway, can you test the instructions in the "Setup" portion of https://wikitech.wikimedia.org/wiki/Maps#Setup once the machine is reimaged. Do not do the "importing database" stuff below, that is a different section and outdated. The commands to be run are in the subpages linked in the setup section.

Event Timeline

Pnorman created this task.Jun 13 2018, 4:52 AM
Pnorman triaged this task as Normal priority.
Mholloway added a comment.EditedJun 20 2018, 2:43 PM

I've run through https://wikitech.wikimedia.org/wiki/Maps#Setup and things seem to be mostly working, except that tileratorui is refusing connections when I connect with ssh -L 6535:localhost:6535 maps-test2004.codfw.wmnet.

channel 3: open failed: connect failed: Connection refused

Note: Kartotherian works through an SSH tunnel, but shows no tiles since they haven't been generated yet.

I left some notes on https://wikitech.wikimedia.org/wiki/Talk:Maps/Loading where I ran into minor issues or the docs could be updated/clarified.

$ sudo journalctl -fu tileratorui
-- Logs begin at Wed 2018-06-13 16:11:48 UTC. --
Jun 20 14:23:46 maps-test2004 systemd[1]: tileratorui.service: Main process exited, code=exited, status=1/FAILURE
Jun 20 14:23:48 maps-test2004 systemd[1]: Stopped "tileratorui service".
Jun 20 14:23:48 maps-test2004 systemd[1]: tileratorui.service: Unit entered failed state.
Jun 20 14:23:48 maps-test2004 systemd[1]: tileratorui.service: Failed with result 'exit-code'.
Jun 20 14:23:48 maps-test2004 systemd[1]: Started "tileratorui service".
Jun 20 14:23:48 maps-test2004 tileratorui[19613]: Reading profile /etc/firejail/default.profile
Jun 20 14:23:48 maps-test2004 tileratorui[19613]: Reading profile /etc/firejail/disable-common.inc
Jun 20 14:23:48 maps-test2004 tileratorui[19613]: Reading profile /etc/firejail/disable-programs.inc
Jun 20 14:23:48 maps-test2004 tileratorui[19613]: Reading profile /etc/firejail/disable-passwdmgr.inc
Jun 20 14:23:48 maps-test2004 tileratorui[19613]: ** Note: you can use --noprofile to disable default.profile **

We have a failure in the tileratorui logs, so it's failing to start.

Mholloway closed this task as Resolved.Jun 22 2018, 3:33 PM

False alarm: tilerator/tileratorui just needed a bit of time to start up. The loading instructions for the new styles work. Calling this resolved.

Vvjjkkii renamed this task from Have someone else test loading instructions to g5aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed Mholloway as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
WhitePhosphorus renamed this task from g5aaaaaaaa to Have someone else test loading instructions.Jul 1 2018, 2:49 AM
WhitePhosphorus closed this task as Resolved.
WhitePhosphorus lowered the priority of this task from High to Normal.
WhitePhosphorus updated the task description. (Show Details)
WhitePhosphorus assigned this task to Mholloway.
WhitePhosphorus added a subscriber: Aklapper.